<?php

class Magazie_Minimal_Recommend_Press_Widget extends WP_Widget{
     public function __construct(){
          parent::__construct(
               'magazie-minimal-recommend-press-widget',
               __( 'Magazie Minimal Recommend Widget', 'magazie-minimal' ),
               array( 'description' => __( 'This widget is for Advertisement.', 'magazie-minimal' ) )
          );
     }



     public function widget( $args, $instance ){
          extract( $args );
           if(!empty($instance)){ 
            $title = apply_filters( 'widget_title', !empty( $instance['title'] ) ? esc_html( $instance['title'] ) : '', $instance, $this->id_base);
            ?>
              <section  class="widget">
                 <h2 class="widget-title"><span><?php echo $title;?></span></h2>
                 <a href="<?php echo esc_url($instance['link']);?>" target="_blank">
                   <figure>
                        <img src="<?php echo esc_url( $instance['image_uri'] );?>" >
                    </figure>
                 </a>
              </section>
         <?php
       }
     }

     public function update( $new_instance, $old_instance ){
          $instance = $old_instance;
          $instance['title'] = sanitize_text_field( $new_instance['title'] );
          $instance['link'] = esc_url_raw( $new_instance['link'] );
          $instance['image_uri'] = esc_url_raw( $new_instance['image_uri'] );
          return $instance;
     }

     public function form($instance ){
          ?>
             <p>

                 <label for="<?php echo esc_attr( $this->get_field_id('title')); ?>"><?php _e( 'Title', 'magazie-minimal' ); ?></label><br />
                 <input type="text" name="<?php echo esc_attr( $this->get_field_name('title')); ?>" id="<?php echo esc_attr( $this->get_field_id('title')); ?>" value="<?php
                  if (isset($instance['title']) && $instance['title'] != '' ) :
                    echo esc_attr($instance['title']);
                   endif;

                   ?>" class="widefat" />
             </p>

              <p>
                 <label for="<?php echo esc_attr( $this->get_field_id('image_uri')); ?>"><?php _e( 'Image', 'magazie-minimal' ); ?></label><br />
                 <?php
                     if (isset($instance['image_uri']) && $instance['image_uri'] != '' ) :
                         echo '<img class="custom_media_image" src="' . esc_url( $instance['image_uri'] ). '" style="margin:0;padding:0;max-width:100px;float:left;display:inline-block" /><br />';
                     endif;
                 ?>
                 <input type="text" class="widefat custom_media_url" name="<?php echo esc_attr($this->get_field_name('image_uri')); ?>" id="<?php echo esc_attr( $this->get_field_id('image_uri')); ?>" value="<?php 
                if (isset($instance['image_uri']) && $instance['image_uri'] != '' ) :
                     echo esc_url( $instance['image_uri'] );
                    endif;
                     ?>" style="margin-top:5px;">
                 <input type="button" class="button button-primary custom_media_button" id="custom_media_button" name="<?php echo $this->get_field_name('image_uri'); ?>" value="<?php esc_attr_e('Upload Image','magazie-minimal')?>" style="margin-top:5px;" />
             </p>
              <p>
                 <label for="<?php echo esc_attr( $this->get_field_id('link')); ?>"><?php _e( 'Link', 'magazie-minimal' ); ?></label><br />
                 <input type="text" name="<?php echo esc_attr( $this->get_field_name('link')); ?>" id="<?php echo esc_attr( $this->get_field_id('link')); ?>" value="<?php 
                   if (isset($instance['link']) && $instance['link'] != '' ) :
                    echo esc_url( $instance['link'] ); 

                 endif;


                 ?>" class="widefat" />
                 <span class="small"></span>
              </p>
          <?php
     }
}



add_action( 'widgets_init', 'magazie_minimal_recommend_widget' );
function magazie_minimal_recommend_widget(){     
    register_widget( 'Magazie_Minimal_Recommend_Press_Widget' );
}















